strongenumflags.h File Reference
`#include <type_traits>`
Include dependency graph for strongenumflags.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::StrongEnumFlags< Self >

## Namespaces

| wibble

## Typedefs

template<typename E >
using | wibble::is_enum_class = std::integral_constant< bool, std::is_enum< E >::value &&!std::is_convertible< E, int >::value >

## Functions

template<typename Self , typename = typename std::enable_if< is_enum_class< Self >::value >::type>
constexpr StrongEnumFlags< Self > | wibble::operator| (Self a, Self b) noexcept
template<typename Self , typename = typename std::enable_if< is_enum_class< Self >::value >::type>
constexpr StrongEnumFlags< Self > | wibble::operator& (Self a, Self b) noexcept